Subject: Re: bug#54289: 29.0.50; Emacs ignores xmodmap Super_L assignment

From: Andreas Schwab <[email-masked]>
Date: Tue, 08 Mar 2022 15:21:56 +0100

On Mär 08 2022, Stephen Berman wrote:

> That's what it looks like.  But then why do the mappings of Caps_Lock
> and Menu work (and Super_L did until the commit in question)?

X keymap settings are not idempotent.  For example, once you have
removed the keycode mapping for the Caps_Lock keysym it cannot be
resolved any more.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."